PORT-ARCHIVE(1)

NAME
port-archive - Create an archive of a port.

SYNOPSIS

port [-vdqysbckpotf] [-D portdir] archive
     [[portname | pseudo-portname | port-expressions | port-url]]
     [+/-variant ...]

DESCRIPTION

port archive will create the port image (also called archive) for a port but will not actually install the port’s files. In a nutshell, port archive is like install, but without the implicit activate at the end. See port-install(1) and port-activate(1) and the PORT IMAGES section for details. The created port image can be located using port-location(1),

You can choose multiple variants, by specifying +name, which indicates the variant is desired, or -name, indicating the contrary.

Global variants will be applied as specified in variants.conf(5).

PORT IMAGES

MacPorts has the ability to install multiple versions or different variant selections of the same port. The files will be stored in an intermediate location as archives, which allows to switch between the versions. Only one version can be active at a time. On activation, files will be copied to their intended place in prefix.

More information on this topic can be found in the The MacPorts Guide[1].

To check the current status of a specific port, use port-installed(1).

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

SEE ALSO

port(1), port-install(1), port-activate(1), port-info(1), port-variants(1), variants.conf(5)

AUTHORS

    (C) 2014 The MacPorts Project
    Clemens Lang <cal@macports.org>

EXTERNAL REFERENCES

1.  The MacPorts Guide
    https://guide.macports.org/#internals.images